githubEdit

Groups (v1)

circle-info

This document uses the v1 API, which will eventually be deprecated, as further Snyk developments are now focused on the REST API. For more details, see the v1 API.

List all tags in a group

get
Path parameters
groupIdstringRequired

The group ID. The API_KEY must have access admin to this group.

Example: 4a18d42f-0706-4ad0-b127-24078731fbed
Query parameters
perPagenumber · doubleOptional

The number of results to return (the default is 1000).

Example: 10
pagenumber · doubleOptional

The offset from which to start returning results from.

Example: 1
Responses
chevron-right
200Success
application/json
get
/group/{groupId}/tags
200Success

Delete tag from group

post
Path parameters
groupIdstringRequired

The group ID. The API_KEY must have access admin to this group.

Example: 4a18d42f-0706-4ad0-b127-24078731fbed
Body
and
anyOptionalExample: {"key":"","value":"","force":false}
Responses
chevron-right
200Success
application/json
and
anyOptionalExample: {"key":"","value":"","force":false}
post
/group/{groupId}/tags/delete
200Success

Update group settings

put
Path parameters
groupIdstringRequired

The group ID. The API_KEY must have admin access to this group.

Example: b61bc07c-27c6-42b3-8b04-0f228ed31a67
Body
and
anyOptionalExample: {"sessionLength":50,"requestAccess":{"enabled":true}}
Responses
chevron-right
200Success
application/json
and
anyOptionalExample: {"sessionLength":50,"requestAccess":{"enabled":true}}
put
/group/{groupId}/settings
200Success

View group settings

get
Path parameters
groupIdstringRequired

The group ID. The API_KEY must have admin access to this group.

Example: b61bc07c-27c6-42b3-8b04-0f228ed31a67
Responses
chevron-right
200Success
application/json
sessionLengthnumberOptional

The new session length for the group in minutes. This must be an integer between 1 and 43200 (30 days). Setting this value to null will result in this group inheriting from the global default of 30 days.

get
/group/{groupId}/settings
200Success

List all roles in a group

get
Path parameters
groupIdstringRequired

The group ID. The API_KEY must have READ access to this group.

Example: a060a49f-636e-480f-9e14-38e773b2a97f
Responses
chevron-right
200Success
application/json
namestringRequired
descriptionstringRequired
publicIdstringRequired
createdstringRequired
modifiedstringRequired
get
/group/{groupId}/roles
200Success

List all organizations in a group

get
Path parameters
groupIdstringRequired

The group ID. The API_KEY must have READ access to this group and LIST organizations access in this group.

Example: a060a49f-636e-480f-9e14-38e773b2a97f
Query parameters
perPagenumber · doubleOptional

The number of results to return (maximum is 100).

Example: 100
pagenumber · doubleOptional

For pagination - offset (from which to start returning results).

Example: 1
namestringOptional

Only organizations that have a name that starts with this value (case insensitive) will be returned.

Example: my
Responses
chevron-right
200Success
application/json
and
anyOptionalExample: {"id":"a060a49f-636e-480f-9e14-38e773b2a97f","name":"ACME Inc.","url":"https://api.snyk.io/v1/group/0dfc509a-e7a9-48ef-9d39-649d6468fc09","created":"2021-06-07T00:00:00.000Z","orgs":[{"name":"myDefaultOrg","id":"689ce7f9-7943-4a71-b704-2ba575f01089","slug":"my-default-org","url":"https://api.snyk.io/v1/org/default-org","created":"2021-06-07T00:00:00.000Z"},{"name":"My Other Org","id":"a04d9cbd-ae6e-44af-b573-0556b0ad4bd2","slug":"my-other-org","url":"https://api.snyk.io/v1/org/my-other-org","created":"2021-06-07T00:00:00.000Z"}]}
get
/group/{groupId}/orgs
200Success

Add a member to an organization within a group

post
Path parameters
groupIdstringRequired

The group ID. The API_KEY must have access admin to this group.

Example: 4a18d42f-0706-4ad0-b127-24078731fbed
orgIdstringRequired

The organization ID we want to add the member to. The API_KEY must have access to this organization.

Example: 4a18d42f-0706-4ad0-b127-24078731fbed
Body
and
anyOptionalExample: {"userId":"","role":""}
Responses
chevron-right
200Success
post
/group/{groupId}/org/{orgId}/members
200Success

No content

List all members in a group

get

Note: Requests to this endpoint are limited to one per minute. Additional requests within this time will receive a 429 Too Many Requests response.

Path parameters
groupIdstringRequired

The group ID. The API_KEY must have access admin to this group.

Example: 4a18d42f-0706-4ad0-b127-24078731fbed
Responses
chevron-right
200Success
application/json
idstringOptional

The id of the user.

namestringOptional

The name of the user.

usernamestringOptional

The username of the user.

emailstringOptional

The email of the user (email is null if the member is a service account).

groupRolestringOptional

(Optional) The role of the user in the group.

get
/group/{groupId}/members
200Success

Last updated

Was this helpful?